{% extends 'base_layout.html' %}

{% block content %}
<form class="site-form"
      enctype="multipart/form-data"
      action="{% url 'books:create' %}"
      method="POST">
      {% csrf_token %}
      <div class="card-deck">
          <div class="card">
              <div class="card-header text-center">
                  <h3>New Book</h3>
              </div>
              <div class="card-body">

                <div class="form-group row">
                    <div class="col-md-3">
                        {{ form.title.label_tag }}
                    </div>
                    <div class="col-md-9">
                        {{ form.title}}
                        <span class="text-danger">{{ form.title.errors }}</span>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-md-3">
                        {{ form.ISBN.label_tag }}
                    </div>
                    <div class="col-md-9">
                        {{ form.ISBN}}
                        <span class="text-danger">{{ form.ISBN.errors }}</span>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-md-3">
                        {{ form.author.label_tag }}
                    </div>
                    <div class="col-md-9">
                        {{ form.author}}
                        <span class="text-danger">{{ form.author.errors }}</span>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-md-3">
                        {{ form.cover.label_tag }}
                    </div>
                    <div class="col-md-9">
                        {{ form.cover}}
                        <span class="text-danger">{{ form.cover.errors }}</span>
                    </div>
                </div>

                <div class="form-group row">
                    <input type="submit" class="btn btn-primary" value="Create">
                </div>

              </div>
          </div>
      </div>
</form>
{% endblock %}